const runtimeCaching = require("next-pwa/cache");

const { PHASE_DEVELOPMENT_SERVER } = require("next/constants");

const withPWA = require("next-pwa")({
  dest: "public",
  register: true,
  skipWaiting: true,
  runtimeCaching,
})

module.exports = (phase, { defaultConfig }) => {
  if (phase === PHASE_DEVELOPMENT_SERVER) {
    return {
      reactStrictMode: true,
    };
  }

  return withPWA({
    reactStrictMode: true,
    output: 'standalone',
  });
};
